package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.List;

/**
 * 门户模板用户设置
 */
@ApiModel(description="门户模板用户设置")
@TableName("portal_template_user")
public class PortalTemplateUser extends BaseModel<PortalTemplateUser> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "用户id")
    @TableField("F_USER_ID_")
    @JsonProperty("userId")
    private String userId;

    @ApiModelProperty(value = "用户姓名")
    @TableField("F_USER_NAME_")
    @JsonProperty("userName")
    private String userName;
    
    @ApiModelProperty(value = "组织id")
    @TableField("F_ORG_ID_")
    @JsonProperty("orgId")
    private String orgId;

    @ApiModelProperty(value = "组织名称")
    @TableField("F_ORG_NAME_")
    @JsonProperty("orgName")
    private String orgName;

    @ApiModelProperty(value = "模板名称")
    @TableField("F_TEMPLATE_NAME_")
    @JsonProperty("templateName")
    private String templateName;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME_")
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @TableField("tenant_id_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
